import req from "@/request.js";
const portal = window.context.portal;

export default {
    //天气查询
    queryWeather() {
        return new Promise((resolve, reject) => {
            req.get(`/weatherAPI/v3/weather/weatherInfo?key=7a6aed8691c887482beeee3f53911685&city=500116&extensions=base`)
                .then(
                    res => {
                        resolve(res)
                    },
                    error => {
                        reject(error)
                    })
                .catch(err => {
                    reject(err)
                });
        })
    },
}